/************************************************************************/
/* Projekt : "lc1516a.dll" - biblioteka DLL WINDOWS dla karty LC-015-1612 */
/* Autor : Krzysztof Mroczek 1996                                         */
/************************************************************************/
#define  STRICT
#include <windows.h>
#pragma hdrstop
#define _EXPORT _export
#include  <toolhelp.h>
#include  <dos.h>
#include  "lc015.h"
#include  "lc015int.h"

extern CModuleData *ModWsk[2]	;

/////////////////////////////////////////////////////////////////////////////
// LEAVE
// Funkcja LC0_Leave :
//  Zwolnienie 'logiczne' moduw przydzielonym wywoujcej funkcje aplikacji
//  i udostepnienie ich innym aplikacjom .
// Parametry wejciowe :
//  param : daleki wskaxnik do struktury 'lc0_leave'  z parametrami wywolania
//   i statusu .
/////////////////////////////////////////////////////////////////////////////
extern "C"  void FAR PASCAL _export LC0_Leave(lc0_leave FAR *param)
{
  int i ;
  char errcode ;

  for(i=0;i<2;i++)
  {
	errcode = ModWsk[i]->CheckApp();

	if(errcode==LC0_OK) //O.K. mona dziaa
	 {
		ModWsk[i]->IsInit = FALSE ;
		ModWsk[i]->FreeExMem();
		ModWsk[i]->Exit();
	 }
  }
}


